Plone Migration from OS X 10.2 to Debian 3.1

classic Classic list List threaded Threaded
3 messages Options
Tom Northcutt Tom Northcutt
Reply | Threaded
Open this post in threaded view
|

Plone Migration from OS X 10.2 to Debian 3.1

Hello Plone Users,

The big picture: I have an OS X 10.2 server that needs to
be upgraded to 10.4 for security patches, etc.  I has run Zope
and Plone very well for a couple years now.  During the upgrade I want
to migrate my plone site to a surrogate box so there will be little
downtime during the OS upgrade (or the event of zope/plone failure after the
upgrade).  I have performed an export/import from the OS X box (ppc) to
the Debian box (Intel) and a portal_migration on the Debian plone
instance, and receive errors upon viewing the plone site.

snapshot of environment:

 OS-X:    
    *  CMF: CMF-1.4.4
    * Debug mode: No
    * Platform: darwin
    * Plone File System: 2.0.3
    * Plone Instance: 2.0.3
    * Python: 2.3.3 (#1, Mar 12 2004, 14:32:20) [GCC 3.1 20020420 (prerelease)]
    * Zope: (unreleased version, python 2.3.3, darwin)

 Debian:
    *  CMF: CMF-1.4.7
    * Debug mode: No
    * Platform: linux2
    * Plone File System: 2.0.4
    * Plone Instance: 2.0.4
    * Python: 2.2.3+ (#1, Sep 4 2005, 21:50:09) [GCC 3.3.5 (Debian 1:3.3.5-13)]
    * Zope: (Zope 2.6.4 (source release, python 2.1, linux2), python 2.2.3, linux2)

Steps to reproduce the error: Viewing the migrated plone site
on the Debian server causes the error.

The expected result: A viewable plone site on the Debian server that
resembles the site on the OS-X server.

The actual result:  Here is the trace displayed on the webpage:

Site Error

An error was encountered while publishing this resource.

AssertionError
Sorry, a site error occurred.

Traceback (innermost last):

    * Module ZPublisher.Publish, line 150, in publish_module
    * Module Products.PlacelessTranslationService.PatchStringIO, line 51, in
new_publish
    * Module ZPublisher.Publish, line 114, in publish
    * Module Zope.App.startup, line 202, in zpublisher_exception_hook
    * Module ZPublisher.Publish, line 98, in publish
    * Module ZPublisher.mapply, line 88, in mapply
    * Module ZPublisher.Publish, line 39, in call_object
    * Module Products.CMFCore.PortalContent, line 116, in __call__
    * Module Shared.DC.Scripts.Bindings, line 306, in __call__
    * Module Shared.DC.Scripts.Bindings, line 343, in _bindAndExec
    * Module Products.CMFCore.FSPageTemplate, line 191, in _exec
    * Module Products.CMFCore.FSPageTemplate, line 124, in pt_render
    * Module Products.PageTemplates.PageTemplate, line 95, in pt_render
      <FSPageTemplate at /IDN/document_view used for /IDN/index_html>
    * Module TAL.TALInterpreter, line 200, in __call__
    * Module TAL.TALInterpreter, line 244, in interpret
    * Module TAL.TALInterpreter, line 703, in do_useMacro
    * Module TAL.TALInterpreter, line 244, in interpret
    * Module TAL.TALInterpreter, line 414, in do_optTag_tal
    * Module TAL.TALInterpreter, line 399, in do_optTag
    * Module TAL.TALInterpreter, line 394, in no_tag
    * Module TAL.TALInterpreter, line 244, in interpret
    * Module TAL.TALInterpreter, line 414, in do_optTag_tal
    * Module TAL.TALInterpreter, line 399, in do_optTag
    * Module TAL.TALInterpreter, line 394, in no_tag
    * Module TAL.TALInterpreter, line 244, in interpret
    * Module TAL.TALInterpreter, line 703, in do_useMacro
    * Module TAL.TALInterpreter, line 244, in interpret
    * Module TAL.TALInterpreter, line 490, in do_endI18nContext

AssertionError: (Also, an error occurred while attempting to render the standard
error message.)

the Z2-detailed.log:

B 162323468 2005-10-18T15:17:06 GET /IDN
I 162323468 2005-10-18T15:17:06 0
A 162323468 2005-10-18T15:17:08 500 1491
E 162323468 2005-10-18T15:17:08

the Z2.log

xxx.xxx.xxx.xxx -  myusername [18/Oct/2005:15:18:38 -0400] "GET /IDN/ HTTP/1.1"
500 1491 "" "Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050920
Firefox/1.0.7 SUSE/1.0.7-0.1"
xxx.xxx.xxx.xxx - myusername [18/Oct/2005:15:18:38 -0400] "GET /favicon.ico
HTTP/1.1" 404 1495 "" "Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12)
Gecko/20050920 Firefox/1.0.7 SUSE/1.0.7-0.1"

Any help here in debugging this issue or recommending an alternate
approach would be great.  Ultimately, when I upgrade to 10.4, I think
it will be wise for me to upgrade the Zope and Plone versions as well.  
If I had another OS X box available I would try to use that as the
surrogate, but unfortuneately I do not.  

Thanks in advance for your help,

-Tom





-------------------------------------------------------
This SF.Net email is sponsored by:
Power Architecture Resource Center: Free content, downloads, discussions,
and more. http://solutions.newsforge.com/ibmarch.tmpl
_______________________________________________
Plone-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/plone-users
Nick Davis Nick Davis
Reply | Threaded
Open this post in threaded view
|

Re: Plone Migration from OS X 10.2 to Debian 3.1

Looks like you're going to an older version of Zope and Python which
could cause weird problems that are hard to debug. Debian tends to have
very old stuff in its packages. I suggest that you download (and build
yourself where not pre-built), the exact same Python, Zope, CMF, Plone
versions on your Debian box that you have on the Mac.
Hope that helps
Nick



-------------------------------------------------------
This SF.Net email is sponsored by:
Power Architecture Resource Center: Free content, downloads, discussions,
and more. http://solutions.newsforge.com/ibmarch.tmpl
_______________________________________________
Plone-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/plone-users
Tom Northcutt Tom Northcutt
Reply | Threaded
Open this post in threaded view
|

Re: Plone Migration from OS X 10.2 to Debian 3.1

Nick Davis <nd51@...> writes:

>
> Looks like you're going to an older version of Zope and Python which
> could cause weird problems that are hard to debug. Debian tends to have
> very old stuff in its packages. I suggest that you download (and build
> yourself where not pre-built), the exact same Python, Zope, CMF, Plone
> versions on your Debian box that you have on the Mac.
> Hope that helps
> Nick
>
> -------------------------------------------------------
> This SF.Net email is sponsored by:
> Power Architecture Resource Center: Free content, downloads, discussions,
> and more. http://solutions.newsforge.com/ibmarch.tmpl
>

Thanks Nick,

I think I am going to try to scrounge up another 10.4 box from somewhere
that I can use as the surrogate.  This way I can install the latest
Zope and Plone under 10.4 and iron out all the wrinkles while migrating
to the surrogate so the upgrade on the production box should be straight
forward.  

Thanks,

-Tom




-------------------------------------------------------
This SF.Net email is sponsored by:
Power Architecture Resource Center: Free content, downloads, discussions,
and more. http://solutions.newsforge.com/ibmarch.tmpl
_______________________________________________
Plone-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/plone-users